[data-template="form"] {
    margin: 0 auto;
    width: 100%;
    height: 100%;
    max-width: var(--wrapper-size);
    font-family: var(--font-family);
    font-size: 20px;
    line-height: normal;
    color: var(--color-text-main);
}

[data-template="form"] .form {
    padding: 0 0 calc(var(--gap-size) * 2) 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: calc(var(--gap-size) * 2);
    align-items: center;
}

[data-template="form"] .form .innerForm {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    padding: calc(var(--gap-size) * 1.5);
    width: calc(100vw - calc(calc(var(--gap-size) * 2) * 2));
    display: flex;
    flex-direction: column;
    gap: calc(var(--gap-size) * 0.75);
    max-width: 800px;
    background-color: var(--color-wrapper);
    border-radius: var(--border-radius);
    box-sizing: border-box;
    overflow: hidden;
}

[data-template="form"] .form .innerForm .formFields {
    /*display: grid;*/
    /*grid-template-columns: 1fr;*/
    /*grid-gap: calc(var(--gap-size) * 0.75);*/
    margin: calc((var(--gap-size) / 3) * -1);
}
[data-template="form"] .form .innerForm .formFields.formFieldsLoader {
    margin: 0;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_6_1 {
    grid-template-columns: 6fr 1fr;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_5_2 {
    grid-template-columns: 5fr 2fr;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_4_3 {
    grid-template-columns: 4fr 3fr;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_3_4 {
    grid-template-columns: 3fr 4fr;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_2_5 {
    grid-template-columns: 2fr 5fr;
}
[data-template="form"] .form .innerForm .formFields.formFields--grids_1_6 {
    grid-template-columns: 1fr 6fr;
}

[data-template="form"] .form .innerForm .formFields .formFieldset {
    float: left;
    position: relative;
    margin: calc(var(--gap-size) / 3);
    padding: 0 calc(var(--gap-size) / 2) calc(var(--gap-size) / 2);
    display: flex;
    flex-direction: row;
    border-radius: calc(var(--border-radius) / 2);
    border: 1.5px solid var(--color-form-border);
    box-sizing: border-box;
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width10 {
    width: calc(10% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width20 {
    width: calc(20% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width30 {
    width: calc(30% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width40 {
    width: calc(40% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width50 {
    width: calc(50% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width60 {
    width: calc(60% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width70 {
    width: calc(70% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width80 {
    width: calc(80% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width90 {
    width: calc(90% - ((var(--gap-size) / 3) * 2));   
}
[data-template="form"] .form .innerForm .formFields .formFieldset.width100 {
    width: calc(100% - ((var(--gap-size) / 3) * 2));   
}

[data-template="form"] .form .innerForm .formFields .formFieldset .formFieldset__title {
    padding: 0 calc(var(--gap-size) / 2);
    font-weight: 500;
    font-size: 16px;
    white-space: nowrap;
    color: var(--color-text-additional);
}
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.required) .formFieldset__title::after, 
[data-template="form"] .form .innerForm .formFields .formFieldset:has([required]) .formFieldset__title::after,
[data-template="form"] .form .innerForm .formFields .formFieldset:has([data-required]) .formFieldset__title::after,
[data-template="form"] .form .innerForm .formFields .filesLoader:has(.required) .uploadButton__uploadText::after,
[data-template="form"] .form .innerForm .formFields .filesLoader:has([required]) .uploadButton__uploadText::after,
[data-template="form"] .form .innerForm .formFields .filesLoader:has([data-required]) .uploadButton__uploadText::after
{
    content: "*";
    margin-left: 2px;
    font-family: var(--font-family);
    font-weight: 600;
    color: #FF0000;
}

[data-template="form"] .form .innerForm .formFields .formFieldset .formFieldset__field {
    padding: calc(var(--gap-size) / 4) calc(var(--gap-size) / 2);
    width: 100%;
    font-family: var(--font-family);
    font-size: 16px;
    line-height: normal;
    color: var(--color-text-main);
    background-color: transparent;
    border: none;
    box-sizing: border-box;
    outline: none;
}
[data-template="form"] .form .innerForm .formFields .formFieldset .formFieldset__field option {
    background-color: var(--color-wrapper);
}
[data-template="form"] .form .innerForm .formFields .formFieldset .formFieldset__textarea {
    padding: calc(var(--gap-size) / 4) calc(var(--gap-size) / 2);
    width: 100%;
    min-height: 120px;
    font-family: var(--font-family);
    font-size: 16px;
    line-height: normal;
    color: var(--color-text-main);
    background-color: transparent;
    border: none;
    box-sizing: border-box;
    outline: none;
    resize: none;
}
[data-template="form"] .form .innerForm .formFields .formFieldset .error-message {
    position: absolute;
    bottom: 0;
    right: calc(var(--gap-size) / 2);
    margin-top: 0;
    margin-bottom: 0;
    padding: calc(var(--gap-size) / 2);
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: var(--color-text-error);
    transform: translateY(50%);
    background-color: var(--color-wrapper);
}
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__field.invalid),
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__textarea.invalid) {
    border-color: var(--color-form-error-border);
}
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__field.invalid) .formFieldset__title,
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__textarea.invalid) .formFieldset__title {
    color: var(--color-text-error);
}
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__field.invalid) .formFieldset__field {
    color: var(--color-text-error);
}
[data-template="form"] .form .innerForm .formFields .formFieldset:has(.formFieldset__textarea.invalid) .formFieldset__textarea {
    color: var(--color-text-error);
}

[data-template="form"] .form .innerForm .formRules {
    float: left;
    clear: both;
    margin: calc(var(--gap-size) / 3);
    width: calc(100% - ((var(--gap-size) / 3) * 2));
    display: flex;
    flex-direction: column;
    gap: calc(var(--gap-size) / 2);
    border: none;
    padding: 0;
}
[data-template="form"] .form .innerForm .formRules + .error-message {
    display: none;
}

[data-template="form"] .form .innerForm .formRules .formRules__visibleCheckbox {
    position: relative;
    flex-shrink: 0;
    width: 20px;
    height: 20px;
    border: 1.5px solid var(--color-form-border);
    border-radius: calc(var(--border-radius) / 5);
    cursor: pointer;
}
[data-template="form"] .form .innerForm .formRules .formRules__visibleCheckbox::before,
[data-template="form"] .form .innerForm .formRules .formRules__visibleCheckbox::after {
    content: "";
    display: none;
    background-color: var(--color-main);
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: calc(var(--border-radius) / 5);
}
[data-template="form"] .form .innerForm .formRules .formRules__visibleCheckbox::before {
    width: 6px;
    height: 2px;
    transform: translate(-50%, -50%) rotate(45deg);
    margin-top: 2px;
    margin-left: -4px;
}
[data-template="form"] .form .innerForm .formRules .formRules__visibleCheckbox::after {
    width: 12px;
    height: 2px;
    transform: translate(-50%, -50%) rotate(-45deg);
    margin-top: 1px;
    margin-left: 2px;
}
[data-template="form"] .form .innerForm .formRules .formRules__hiddenCheckbox {
    display: none;
}
[data-template="form"] .form .innerForm .formRules .formRules__checkboxLabel {
    display: flex;
    flex-direction: row;
    gap: var(--gap-size);
    align-items: center;
    font-size: 14px;
    line-height: normal;
    color: var(--color-text-main);
    cursor: pointer;
}
[data-template="form"] .form .innerForm .formRules .formRules__checkboxLabel a {
    color: var(--color-text-main);
}
[data-template="form"] .form .innerForm .formRules .formRules__checkboxLabel a:hover {
    text-decoration: none;
}
[data-template="form"] .form .innerForm .formRules .formRules__checkboxLabel:hover .formRules__visibleCheckbox {
    background-color: var(--color-form-background);
}
[data-template="form"] .form .innerForm .formRules:has(.formRules__hiddenCheckbox:checked) .formRules__visibleCheckbox::before,
[data-template="form"] .form .innerForm .formRules:has(.formRules__hiddenCheckbox:checked) .formRules__visibleCheckbox::after {
    display: block;
}
[data-template="form"] .formRules:has(.formRules__hiddenCheckbox.invalid) .formRules__visibleCheckbox,
[data-template="form"] .formRules.invalid .formRules__visibleCheckbox {
    border-color: var(--color-form-error-border) !important;
}
[data-template="form"] .formRules.invalid .formRules__rulesText, 
[data-template="form"] .form .innerForm .formRules.invalid .formRules__checkboxLabel a {
    color: var(--color-text-error);
}

[data-template="form"] .form .innerForm .formFields .filesLoader {
    float: left;
    clear: both;
    margin: calc(var(--gap-size) / 3);
    width: calc(100% - ((var(--gap-size) / 3) * 2));
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .filesLoader__hiddenField {
    display: none;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .filesViewer {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    flex-wrap: wrap;
    gap: var(--gap-size);
    box-sizing: border-box;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .error-message {
    display: none;
}
[data-template="form"] .filesViewer:has(.filePreview) {
    padding: 0 calc(var(--gap-size) / 4);
}
[data-template="form"] .filesViewer:has(.filePreview) + .uploadButton .uploadButton__uploadText {
    display: none;
}
[data-template="form"] .filesViewer:has(.filePreview) + .uploadButton {
    width: auto !important;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .uploadButton {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .uploadButton .uploadButton__uploadText {
    font-size: 16px;
}
[data-template="form"] .form .innerForm .formFields .filesLoader:has(.filesLoader__hiddenField.invalid) .uploadButton .uploadButton__uploadText {
    color: var(--color-text-error);
}
[data-template="form"] .form .innerForm .formFields .filesLoader:has(.filesLoader__hiddenField.invalid) .uploadButton .uploadButton__visibleButton {
    background-color: var(--color-text-error);
}
[data-template="form"] .form .innerForm .formFields .filesLoader .uploadButton .uploadButton__visibleButton {
    padding: calc(var(--gap-size) * 0.75) calc(var(--gap-size) * 1.25);
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0.25px;
    color: var(--color-text-button);
    background-color: var(--color-main);
    border-radius: var(--border-radius);
    cursor: pointer;
}
[data-template="form"] .form .innerForm .formFields .filesLoader .uploadButton .uploadButton__visibleButton:hover {
    background: var(--color-hover), var(--color-main); 
}

[data-template="form"] .filePreview {
    position: relative;
    display: flex;
    flex-direction: column;
}
[data-template="form"] .filePreview .fileIcon {
    display: flex;
    flex-direction: row;
    align-items: center;
}
[data-template="form"] .filePreview .fileIcon .iconFile {
    margin-left: -4px;
}
[data-template="form"] .filePreview .fileIcon .fileIcon__fileSize {
    font-weight: 500;
    font-size: 12px;
    color: var(--color-text-additional);
}
[data-template="form"] .filePreview .filePreview__fileName {
    width: 100px;
    font-weight: 500;
    font-size: 12px;
    color: var(--color-text-additional);
    text-overflow: ellipsis;
    text-transform: uppercase;
    overflow: hidden;
    white-space: nowrap;
}
[data-template="form"] .filePreview .filePreview__removeButton {
    position: absolute;
    top: 2px;
    right: 4px;
    padding: 0;
    display: flex;
    flex-direction: row;
    background-color: transparent;
    border: none;
    cursor: pointer;
}
[data-template="form"] .filePreview .filePreview__removeButton:hover .iconRemove path {
    fill: var(--color-text-main);
}

[data-template="form"] .formResult {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: var(--gap-size);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--color-wrapper);
    box-sizing: border-box;
}
[data-template="form"] .formResult[data-result] {
    display: flex;
}
[data-template="form"] .formResult .resultWrapper {
    display: none;
    width: 100%;
    height: 100%;
}
[data-template="form"] .formResult[data-result="success"] .resultWrapper--success,
[data-template="form"] .formResult[data-result="failure"] .resultWrapper--failure {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--gap-size);
}
[data-template="form"] .resultWrapper__resultIcon {
    --icon-size: 120px;
    position: relative;
    width: var(--icon-size);
    height: var(--icon-size);
    border-radius: 50%;
}
[data-template="form"] .formResult[data-result="success"] .resultWrapper__resultIcon {
    background-color: #8BC34A;
}
[data-template="form"] .formResult[data-result="failure"] .resultWrapper__resultIcon {
    background-color: #D75A4A;
}
[data-template="form"] .formResult[data-result="success"] .resultWrapper__resultIcon::before {
    content: "";
    width: calc(var(--icon-size) * 0.35);
    height: calc(var(--icon-size) * 0.075);
    background-color: var(--color-wrapper);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-42px, 10px) rotate(45deg);
    border-radius: calc(var(--icon-size) * 0.05);
}
[data-template="form"] .formResult[data-result="success"] .resultWrapper__resultIcon::after {
    content: "";
    width: calc(var(--icon-size) * 0.55);
    height: calc(var(--icon-size) * 0.075);
    background-color: var(--color-wrapper);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-20px, 0) rotate(-45deg);
    border-radius: calc(var(--icon-size) * 0.05);
}
[data-template="form"] .formResult[data-result="failure"] .resultWrapper__resultIcon::before,
[data-template="form"] .formResult[data-result="failure"] .resultWrapper__resultIcon::after {
    content: "";
    width: calc(var(--icon-size) * 0.65);
    height: calc(var(--icon-size) * 0.075);
    background-color: var(--color-wrapper);
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: calc(var(--icon-size) * 0.05);
}
[data-template="form"] .formResult[data-result="failure"] .resultWrapper__resultIcon::before {
    transform: translate(-50%, -50%) rotate(45deg);
}
[data-template="form"] .formResult[data-result="failure"] .resultWrapper__resultIcon::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}
[data-template="form"] .resultWrapper__resultText {
    text-align: center;
    font-size: 32px;
    font-weight: 500;
}
[data-template="form"] .formResult .formResult__closeButton {
    --icon-size: 40px;
    position: absolute;
    top: var(--gap-size);
    right: var(--gap-size);
    padding: 0;
    width: var(--icon-size);
    height: var(--icon-size);
    font-size: 0;
    background-color: rgba(255, 255, 255, 0.2);
    border: none;
    border-radius: 50%;
    cursor: pointer;
}
[data-template="form"] .formResult .formResult__closeButton:hover {
    background-color: rgba(255, 255, 255, 0.3);
}
[data-template="form"] .formResult .formResult__closeButton::before,
[data-template="form"] .formResult .formResult__closeButton::after {
    content: "";
    width: calc(var(--icon-size) * 0.6);
    height: calc(var(--icon-size) * 0.1);
    background-color: var(--color-wrapper);
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: 3px;
}
[data-template="form"] .formResult .formResult__closeButton::before {
    transform: translate(-50%, -50%) rotate(45deg);
}
[data-template="form"] .formResult .formResult__closeButton::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

[data-template="form"] .smart-captcha {
    margin: calc(var(--gap-size) / 3);
    width: calc(100% - ((var(--gap-size) / 3) * 2));
}

@media (prefers-color-scheme: dark) {
    ::-webkit-calendar-picker-indicator {
        color-scheme: dark;
    }
    ::-webkit-inner-spin-button,
    ::-webkit-outer-spin-button {
        color-scheme: dark;
        background-color: transparent;
    }
}

@media only screen and (max-width: 1024px) {

    [data-template="form"] .form .innerForm {
        width: calc(100vw - calc(var(--gap-size) * 2));
    }

    [data-template="form"] .resultWrapper__resultText {
        font-size: 24px;
    }

}

@media only screen and (max-width: 480px) {

    [data-template="form"] .form .innerForm .formFields {
        /*grid-template-columns: 1fr !important;*/
    }

    [data-template="form"] .form .innerForm .formFields .filesLoader {
        flex-direction: column;
        gap: calc(var(--gap-size) / 2);
    }

    [data-template="form"] .formResult .formResult__closeButton {
        --icon-size: 32px;
    }

}